Subject: Re: [TR] electronic flasher

From: Randall <[email-masked]>
Date: Fri, 12 Sep 2014 21:56:16 +0000

---- dave n <[email-masked]> wrote: 
> napa sells a digital flasher that works quite well.  used it when I 
> converted to Litezupp.com LED's a few years ago.
> 
> http://www.ranteer.com/davescars/tr6/BlinkerEL12.jpg

That's a 2-terminal flasher, so I'm guessing you have a later TR.  The 3-terminal equivalent for the earlier TRs is a Tridon EL13, which I found to be readily available at Autozone & O'Reillys.  (Around here, NAPA charges more and closes before I get off work, I don't shop there unless the discount stores don't have it.)

> Now I can order some LED tail lights. Any recommendations
> about going with an electronic flasher or LED load resistor. I'm leaning
> towards the latter.... 

I actually use both, because of the way I have my turn signals wired to double as brake lights.  The EL13 also works well with incandescent bulbs, and I currently have a mix of LED and incandescent (trying out my own LED designs).  But for just a simple LED conversion, I'd go with the electronic flasher.  If you keep an old type flasher, and the resistor (or the wire to it) fails, then your turn signals don't work.  It's an extra point of failure.  Granted, resistors very rarely fail; but it does happen.

- Randall

** [email-masked] **

Archive: http://www.team.net/archive